/* labeledWidget.h

   Copyright (C) 1999 by David Rose.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   To contact the original author of this program, write to:
           David Rose
           224 W. Dryden St Apt. 418
	   Glendale, CA 91202
	   USA

	   drose@lafn.org
   */

#ifndef LABELEDWIDGET_H
#define LABELEDWIDGET_H

#include <gtk--.h>

template<class Widget>
class LabeledWidget : public Gtk_HBox {
public:
  LabeledWidget(const string &label = string());

  Gtk_Label _label;
  Widget _widget;
};

template<class Widget>
LabeledWidget<Widget>::
LabeledWidget(const string &label) : _label(label) {
  _label.set_alignment(1, 0.5);
  pack_start(_label, false, false, 4);
  pack_start(_widget, true, true, 0);
  _label.show();
  _widget.show();
}

typedef LabeledWidget<Gtk_Entry> LabeledEntry;
typedef LabeledWidget<Gtk_Combo> LabeledCombo;

#endif


  
